library appstitch_twilio;

import 'package:appstitch_core/core.dart';
import 'package:appstitch_twilio/types/response.dart';

import './types.dart';

export './types.dart';

class Twilio {
  Core core = Core();

  Future<Response> sendMessage(MessageOptions options) async {
    final result =
        await core.makeRequest("Twilio/sendMessage", options.toJson());

    return Response.fromJson(result!);
  }

  Future<Response> makeCall(CallOptions options) async {
    final result = await core.makeRequest("Twilio/makeCall", options.toJson());

    return Response.fromJson(result!);
  }
}
