import 'package:json_annotation/json_annotation.dart';
part 'messageOptions.g.dart';

@JsonSerializable(explicitToJson: true, includeIfNull: false)
class MessageOptions {
  MessageOptions({this.body, this.from, this.to});

  String? body;
  String? to;
  String? from;

  factory MessageOptions.fromJson(Map<String, dynamic> json) =>
      _$MessageOptionsFromJson(json);
  Map<String, dynamic> toJson() => _$MessageOptionsToJson(this);
}
