import 'package:json_annotation/json_annotation.dart';
part 'response.g.dart';

@JsonSerializable(explicitToJson: true, includeIfNull: false)
class Response {
  Response({this.success, this.message, this.sid});

  bool? success;
  String? message;
  String? sid;

  factory Response.fromJson(Map<String, dynamic> json) =>
      _$ResponseFromJson(json);
  Map<String, dynamic> toJson() => _$ResponseToJson(this);
}
