import 'package:json_annotation/json_annotation.dart';
part 'callOptions.g.dart';

@JsonSerializable(explicitToJson: true, includeIfNull: false)
class CallOptions {
  CallOptions({this.url, this.to, this.from});

  String? url;
  String? to;
  String? from;

  factory CallOptions.fromJson(Map<String, dynamic> json) =>
      _$CallOptionsFromJson(json);
  Map<String, dynamic> toJson() => _$CallOptionsToJson(this);
}
